const express = require('express');
const {
	createActivity,
	getAllActivities,
	getActivity,
	updateActivity,
	deleteActivity,
	highlightReview,
} = require('../../controllers/super-admin/activities');

const router = express.Router();

router.post('/reviews/highlight', highlightReview);
router.post('/', createActivity);
router.get('/', getAllActivities);
router.get('/:id', getActivity);
router.put('/:id', updateActivity);
router.delete('/:id', deleteActivity);

module.exports = router;
